FreeBSD : unzip -- out of boundary access issues in test_compr_eb (e543c6f8-abf2-11e4-8ac7-d050992ecde8)

Medium Nessus Plugin ID 81154


The remote FreeBSD host is missing a security-related update.


Ubuntu Security Notice USN-2489-1 reports :

Michal Zalewski discovered that unzip incorrectly handled certain malformed zip archives. If a user or automated system were tricked into processing a specially crafted zip archive, an attacker could possibly execute arbitrary code.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 81154

File Name: freebsd_pkg_e543c6f8abf211e48ac7d050992ecde8.nasl

Version: $Revision: 1.2 $

Type: local

Published: 2015/02/04

Modified: 2015/02/10

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:unzip, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2015/02/03

Vulnerability Publication Date: 2014/11/02

Reference Information

CVE: CVE-2014-9636